%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% serialize :
% PURPOSE :
%
%
% AUTHOR  : Valentin FREY
% CONTACT : frey@lal.in2p3.fr
% VERSION : 1.0
% DATE    : 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% USER's PARAMETERS
FOLDER = 'raw';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%


files = dir([FOLDER '/eff*.mat']);

for file = files'
  load([FOLDER '/' file.name])
  wname = regexprep(file.name,'eff_(.*)\.mat','$1');
  fid = fopen([wname '.dat'],'w');
  for i=1:size(eff,1)
    fprintf(fid,'%g\t%d\t%d\t%f\n',eff(i,2),eff(i,end-1)*500, 500, eff(i,end-1));
  end
  fclose(fid);
end