/*
const int num_pipe=3;
TString file_eff[num_pipe]={"eff_O3_fl1_50y_eff50.txt",
			    "eff_O3_LONEfl2_50y_eff50.txt",
			    "eff_O3_ZEBfl2_50y_eff50.txt",
};
TString name_pipe[num_pipe]={"cWB", "Lonetrack","Zebragard"};
TString plot_name ="eff_fl2_ef50";
TString out="";
const   int nINJ = 9;
  int col[num_pipe]={2,38,29};
*/
/*
const int num_pipe=3;
TString file_eff[num_pipe]={"eff_O3_fl1_50y_eff50.txt",
			    "eff_O3_LONEfl1_50y_eff50.txt",
			    "eff_O3_ZEBfl1_50y_eff50.txt",
};
TString name_pipe[num_pipe]={"cWB", "Lonetrack","Zebragard"};
TString plot_name ="eff_fl1_ef50";
TString out="";
const   int nINJ = 9;
int col[num_pipe]={2,38,29};
*/
/*
const int num_pipe=4;
TString file_eff[num_pipe]={"eff_O3_fl1_50y_eff50.txt",
			    "eff_O3_LONEfl1_50y_eff50.txt",
			    "eff_O3_ZEBfl1_50y_eff50.txt",
			    "eff_O3_XPIP_Ufl1_50y_eff50.txt"
};
TString name_pipe[num_pipe]={"cWB", "Lonetrack","Zebragard","X-SphRad UNCLUST."};
TString plot_name ="eff_fl1_pipe_ef50_4p";
TString out="";
const   int nINJ = 9;
int col[num_pipe]={2,38,29,1};
*/

const int num_pipe=4;
TString file_eff[num_pipe]={"eff_O3_fl2_50y_eff50.txt",
			    "eff_O3_LONEfl2_50y_eff50.txt",
			    "eff_O3_ZEBfl2_50y_eff50.txt",
			    "eff_O3_XPIP_Ufl2_50y_eff50.txt"
};
TString name_pipe[num_pipe]={"cWB", "Lonetrack","Zebragard","X-SphRad UNCLUST."};
TString plot_name ="eff_fl2_pipe_ef50_4p";
TString out="";
const   int nINJ = 6;
int col[num_pipe]={2,38,29,1};


void Comp_allpipe()
{
  size_t  imdc_type[num_pipe][nINJ];        // injection type
  char    imdc_name[num_pipe][nINJ][2048];   // injection name
  double  hrss50[num_pipe][nINJ];     
  double  hrss[num_pipe][nINJ];       
  char str[1024];

  for (int ll=0; ll<num_pipe; ll++)
    {
      ifstream in1;
      in1.open(file_eff[ll].Data(),ios::in);
      in1.getline(str,1024);
      if (!in1.good()) {cout << "Error Opening File : " << file_eff[ll].Data() << endl;exit(1);}
      for(int k=0; k<nINJ; k++) {
	in1 >> imdc_name[ll][k] >>hrss50[ll][k];
	cout <<name_pipe[ll]<< imdc_name[ll][k] << "\thrss : " << hrss50[ll][k] << endl;
	if (!in1.good()) break;

      }
      in1.close();
    }


  TCanvas* canvas;
  canvas = new TCanvas("eff","eff",125,82,976,576);
  canvas->Clear();
  canvas->ToggleEventStatus();
  canvas->SetLogy();
  //canvas->SetLogx(true);
  //canvas->SetGridx();
   canvas->SetGridy();
  canvas->SetFillColor(kWhite);
  canvas->cd();

  gStyle->SetTitleOffset(1.0,"X");
  gStyle->SetTitleOffset(1.2,"Y");
  gStyle->SetLabelFont(42,"X");
  gStyle->SetLabelFont(42,"Y");
  gStyle->SetTitleFont(42,"X");
  gStyle->SetTitleFont(42,"Y");

  gStyle->SetTitleH(0.050);
  gStyle->SetTitleW(0.95);
  gStyle->SetTitleY(0.98);
  gStyle->SetTitleFont(12,"D");
  gStyle->SetTitleColor(kBlue,"D");
  gStyle->SetTextFont(12);
  gStyle->SetTitleFillColor(kWhite);
  gStyle->SetLineColor(kWhite);
  gStyle->SetNumberContours(256);
  gStyle->SetCanvasColor(kWhite);
  gStyle->SetFrameBorderMode(0);
  gROOT->ForceStyle();

  TLegend* legend = new TLegend(0.6,0.7,0.9,0.9);
  legend->SetBorderSize(1);
  legend->SetTextFont(12);
  legend->SetLineColor(1);
  legend->SetLineStyle(1);
  legend->SetLineWidth(1);
  legend->SetFillColor(0);
  legend->SetFillStyle(1001);
  legend->SetTextSize(0.06);
  legend->SetLineColor(kBlack);
  legend->SetFillColor(kWhite);

  TH1F* histEF[num_pipe];
  for (int ll=0; ll<num_pipe; ll++)
    {
      cout<<"LLLL"<<endl;
      histEF[ll] = new TH1F(name_pipe[ll].Data(),name_pipe[ll].Data(),nINJ,0,nINJ);
      for(int k=0;k<nINJ;k++) {
	histEF[ll]->SetBinContent(k+1, hrss50[ll][k] );
        histEF[ll]->GetXaxis()->SetBinLabel(k+1,imdc_name[ll][k]);
      }

      histEF[ll]->SetFillColor(col[ll]);
      histEF[ll]->SetBarWidth(1./(num_pipe+1.));
      histEF[ll]->SetBarOffset(ll/(num_pipe+1.));
      histEF[ll]->SetStats(0);
      if (ll==0)      histEF[ll]->Draw("bar2");
      else      histEF[ll]->Draw("bar2 same");
  

  char fname[2048];
  sprintf(fname,"Long Transient Search : hrss50");  
  histEF[ll]->SetTitle(fname);
  histEF[ll]->SetStats(kFALSE);
  histEF[ll]->GetXaxis()->SetTitle("");
  histEF[ll]->GetXaxis()->CenterTitle(true);
  histEF[ll]->GetXaxis()->SetLabelFont(42);
  histEF[ll]->GetXaxis()->SetLabelSize(0.05);
  histEF[ll]->GetXaxis()->SetTitleFont(42);
  histEF[ll]->GetYaxis()->SetLabelFont(42);
  histEF[ll]->GetYaxis()->SetTitleFont(42);
  histEF[ll]->GetXaxis()->SetTitleOffset(1.20);
  histEF[ll]->SetNdivisions(10);
  //    histEF[ll]->GetYaxis()->SetRangeUser(0.,4.5e-21);
   histEF[ll]->GetYaxis()->SetRangeUser(1e-22,3e-20);
  
    }

  for (int ll=0; ll<num_pipe; ll++){
      legend->AddEntry(histEF[ll],name_pipe[ll].Data(),"f");
    }
  legend->Draw("SAME");   
  char fname[2048];
  sprintf(fname,"%s%s.png",out.Data(), plot_name.Data());
  canvas->Update(); canvas->SaveAs(fname);


}




